Bug 1255379 - SELinux is preventing chrony-helper from 'getattr' accesses on the file /run/chrony-helper/added_servers.
SELinux is preventing chrony-helper from 'getattr' accesses on the file /run/...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:17b54560b35ec6003315c6501bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 08:24 EDT by phil
Modified: 2015-11-25 23:33 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.13.1-128.13.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 17:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil 2015-08-20 08:24:49 EDT
Description of problem:
unknown.  Closed laptop. When I opened it back up, had this alert showing
SELinux is preventing chrony-helper from 'getattr' accesses on the file /run/chrony-helper/added_servers.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that chrony-helper should be allowed getattr access on the added_servers file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep chrony-helper /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:chronyd_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/chrony-helper/added_servers [ file ]
Source                        chrony-helper
Source Path                   chrony-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.10.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.4-200.fc22.x86_64 #1 SMP Tue
                              Aug 4 03:22:33 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-08-20 17:01:33 AEST
Last Seen                     2015-08-20 22:20:18 AEST
Local ID                      0ed83687-6d18-45ea-84ec-1a91908d0482

Raw Audit Messages
type=AVC msg=audit(1440073218.230:1304): avc:  denied  { getattr } for  pid=25112 comm="chrony-helper" path="/run/chrony-helper/added_servers" dev="tmpfs" ino=1855371 scontext=system_u:system_r:chronyd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file permissive=0


Hash: chrony-helper,chronyd_t,var_run_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-128.10.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.4-200.fc22.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2015-08-27 08:26:07 EDT
commit 93f93a18558a48c73bab38a6f12f0884b8e369fc
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Aug 13 13:23:54 2015 +0200

    Label /var/run/chrony-helper dir as chronyd_var_run_t.
Comment 2 Fedora Update System 2015-09-14 05:59:56 EDT
selinux-policy-3.13.1-128.13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15798
Comment 3 Fedora Update System 2015-09-15 01:55:34 EDT
selinux-policy-3.13.1-128.13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update selinux-policy'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15798
Comment 4 Fedora Update System 2015-09-16 17:20:19 EDT
selinux-policy-3.13.1-128.13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.